#### 3.17.24 MN10300 Options

These `-m` options are defined for Matsushita MN10300 architectures:

`-mmult-bug`
  Generate code to avoid bugs in the multiply instructions for the MN10300 processors. This is the default.
`-mno-mult-bug`
  Do not generate code to avoid bugs in the multiply instructions for the MN10300 processors.
`-mam33`
  Generate code which uses features specific to the AM33 processor.
`-mno-am33`
  Do not generate code which uses features specific to the AM33 processor. This is the default.
`-mreturn-pointer-on-d0`
  When generating a function which returns a pointer, return the pointer in both `a0` and `d0`. Otherwise, the pointer is returned only in a0, and attempts to call such functions without a prototype would result in errors. Note that this option is on by default; use `-mno-return-pointer-on-d0` to disable it.
`-mno-crt0`
  Do not link in the C run-time initialization object file.
`-mrelax`
  Indicate to the linker that it should perform a relaxation optimization pass to shorten branches, calls and absolute memory addresses. This option only has an effect when used on the command line for the final link step.

  This option makes symbolic debugging impossible.